package com.elephant.framework.galaxy.aroad.bigdata;

public class BaseRoadToll {
    private Integer id;

    private String roadCode;

    private String roadName;

    private Double number;

    private String code;

    private String name;

    private String shortName;

    private String tecLevel;

    private String locationType;

    private String tollDirection;

    private Integer entNum;

    private Integer entEtcNum;

    private Integer entMtcNum;

    private Integer entMixNum;

    private Integer expNum;

    private Integer expEtcNum;

    private Integer expMtcNum;

    private Integer expMixNum;

    private String managementUnit;

    private String longitude;

    private String latitude;

    public BaseRoadToll() {
    }

    public BaseRoadToll(Integer id, String roadCode, String roadName, Double number, String code, String name, String shortName, String tecLevel, String locationType, String tollDirection, Integer entNum, Integer entEtcNum, Integer entMtcNum, Integer entMixNum, Integer expNum, Integer expEtcNum, Integer expMtcNum, Integer expMixNum, String managementUnit, String longitude, String latitude) {
        this.id = id;
        this.roadCode = roadCode;
        this.roadName = roadName;
        this.number = number;
        this.code = code;
        this.name = name;
        this.shortName = shortName;
        this.tecLevel = tecLevel;
        this.locationType = locationType;
        this.tollDirection = tollDirection;
        this.entNum = entNum;
        this.entEtcNum = entEtcNum;
        this.entMtcNum = entMtcNum;
        this.entMixNum = entMixNum;
        this.expNum = expNum;
        this.expEtcNum = expEtcNum;
        this.expMtcNum = expMtcNum;
        this.expMixNum = expMixNum;
        this.managementUnit = managementUnit;
        this.longitude = longitude;
        this.latitude = latitude;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRoadCode() {
        return roadCode;
    }

    public void setRoadCode(String roadCode) {
        this.roadCode = roadCode == null ? null : roadCode.trim();
    }

    public String getRoadName() {
        return roadName;
    }

    public void setRoadName(String roadName) {
        this.roadName = roadName == null ? null : roadName.trim();
    }

    public Double getNumber() {
        return number;
    }

    public void setNumber(Double number) {
        this.number = number;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName == null ? null : shortName.trim();
    }

    public String getTecLevel() {
        return tecLevel;
    }

    public void setTecLevel(String tecLevel) {
        this.tecLevel = tecLevel == null ? null : tecLevel.trim();
    }

    public String getLocationType() {
        return locationType;
    }

    public void setLocationType(String locationType) {
        this.locationType = locationType == null ? null : locationType.trim();
    }

    public String getTollDirection() {
        return tollDirection;
    }

    public void setTollDirection(String tollDirection) {
        this.tollDirection = tollDirection == null ? null : tollDirection.trim();
    }

    public Integer getEntNum() {
        return entNum;
    }

    public void setEntNum(Integer entNum) {
        this.entNum = entNum;
    }

    public Integer getEntEtcNum() {
        return entEtcNum;
    }

    public void setEntEtcNum(Integer entEtcNum) {
        this.entEtcNum = entEtcNum;
    }

    public Integer getEntMtcNum() {
        return entMtcNum;
    }

    public void setEntMtcNum(Integer entMtcNum) {
        this.entMtcNum = entMtcNum;
    }

    public Integer getEntMixNum() {
        return entMixNum;
    }

    public void setEntMixNum(Integer entMixNum) {
        this.entMixNum = entMixNum;
    }

    public Integer getExpNum() {
        return expNum;
    }

    public void setExpNum(Integer expNum) {
        this.expNum = expNum;
    }

    public Integer getExpEtcNum() {
        return expEtcNum;
    }

    public void setExpEtcNum(Integer expEtcNum) {
        this.expEtcNum = expEtcNum;
    }

    public Integer getExpMtcNum() {
        return expMtcNum;
    }

    public void setExpMtcNum(Integer expMtcNum) {
        this.expMtcNum = expMtcNum;
    }

    public Integer getExpMixNum() {
        return expMixNum;
    }

    public void setExpMixNum(Integer expMixNum) {
        this.expMixNum = expMixNum;
    }

    public String getManagementUnit() {
        return managementUnit;
    }

    public void setManagementUnit(String managementUnit) {
        this.managementUnit = managementUnit == null ? null : managementUnit.trim();
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude == null ? null : longitude.trim();
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude == null ? null : latitude.trim();
    }

    @Override
    public String toString() {
        return "BaseRoadToll{" +
                "id=" + id +
                ", roadCode='" + roadCode + '\'' +
                ", roadName='" + roadName + '\'' +
                ", number=" + number +
                ", code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", shortName='" + shortName + '\'' +
                ", tecLevel='" + tecLevel + '\'' +
                ", locationType='" + locationType + '\'' +
                ", tollDirection='" + tollDirection + '\'' +
                ", entNum=" + entNum +
                ", entEtcNum=" + entEtcNum +
                ", entMtcNum=" + entMtcNum +
                ", entMixNum=" + entMixNum +
                ", expNum=" + expNum +
                ", expEtcNum=" + expEtcNum +
                ", expMtcNum=" + expMtcNum +
                ", expMixNum=" + expMixNum +
                ", managementUnit='" + managementUnit + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                '}';
    }
}